Bug 362619 - Dolphin crashed when overing context menu->activities
Summary: Dolphin crashed when overing context menu->activities
Status: RESOLVED DUPLICATE of bug 351485
Alias: None
Product: dolphin
Classification: Applications
Component: general (show other bugs)
Version: 15.12.3
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2016-05-03 10:43 UTC by Miguel Tadeu
Modified: 2016-09-01 12:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Tadeu 2016-05-03 10:43:05 UTC
Application: dolphin (15.12.3)

Qt Version: 5.5.1
Operating System: Linux 4.4.0-21-generic x86_64
Distribution: Ubuntu 16.04 LTS

-- Information about the crash:
Hi,

Dolphin is crashing when the mouse goes through the "context menu -> activities" item...funny thing is, it only happens if dolphin is in my second screen. It doesn't crash on the first screen.

The crash can be reproduced every time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f4834ad18c0 (LWP 17984))]

Thread 4 (Thread 0x7f48323cc700 (LWP 17985)):
#0  0x00007f48478ebe8d in poll () at ../sysdeps/unix/syscall-template.S:84
#1  0x00007f483c077c62 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f483c0798d7 in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f483471e629 in QXcbEventReader::run (this=0xbfed90) at qxcbconnection.cpp:1253
#4  0x00007f48424bd84e in QThreadPrivate::start (arg=0xbfed90) at thread/qthread_unix.cpp:331
#5  0x00007f483ec6b6fa in start_thread (arg=0x7f48323cc700) at pthread_create.c:333
#6  0x00007f48478f7b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f4828495700 (LWP 18003)):
#0  QListData::begin (this=0x7f4820002ed0) at ../../include/QtCore/../../src/corelib/tools/qlist.h:108
#1  QList<QTimerInfo*>::constBegin (this=0x7f4820002ed0) at ../../include/QtCore/../../src/corelib/tools/qlist.h:302
#2  QTimerInfoList::timerWait (this=0x7f4820002ed0, tm=...) at kernel/qtimerinfo_unix.cpp:386
#3  0x00007f48426f3e7e in timerSourcePrepareHelper (timeout=0x7f4828494b44, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#4  timerSourcePrepare (source=<optimized out>, timeout=0x7f4828494b44) at kernel/qeventdispatcher_glib.cpp:160
#5  0x00007f483e0df8ad in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007f483e0e024b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007f483e0e042c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f48426f4a9b in QEventDispatcherGlib::processEvents (this=0x7f48200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#9  0x00007f484269bdea in QEventLoop::exec (this=this@entry=0x7f4828494d00, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#10 0x00007f48424b88a4 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#11 0x00007f48424bd84e in QThreadPrivate::start (arg=0x114f2c0) at thread/qthread_unix.cpp:331
#12 0x00007f483ec6b6fa in start_thread (arg=0x7f4828495700) at pthread_create.c:333
#13 0x00007f48478f7b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f4826e4b700 (LWP 18906)):
[KCrash Handler]
#6  QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*> (currentValue=<synthetic pointer>, newValue=0x1, expectedValue=0x0, _q_value=@0x81: <error reading variable>) at ../../include/QtCore/../../src/corelib/arch/qatomic_x86.h:259
#7  QGenericAtomicOps<QBasicAtomicOps<8> >::testAndSetAcquire<QMutexData*, QMutexData*> (currentValue=<synthetic pointer>, newValue=<optimized out>, expectedValue=0x0, _q_value=@0x81: <error reading variable>) at ../../include/QtCore/../../src/corelib/thread/qgenericatomic.h:166
#8  QBasicAtomicPointer<QMutexData>::testAndSetAcquire (currentValue=<synthetic pointer>, newValue=<optimized out>, expectedValue=0x0, this=this@entry=0x81) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:276
#9  QBasicMutex::fastTryLock (current=<synthetic pointer>, this=this@entry=0x81) at thread/qmutex.h:82
#10 QMutex::lock (this=this@entry=0x81) at thread/qmutex.cpp:212
#11 0x00007f48424bc9ab in QMutexLocker::QMutexLocker (m=0x81, this=<synthetic pointer>) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:128
#12 QThreadPrivate::finish (arg=arg@entry=0x14ac130) at thread/qthread_unix.cpp:343
#13 0x00007f48424bd86f in __pthread_cleanup_class::~__pthread_cleanup_class (this=<synthetic pointer>, __in_chrg=<optimized out>) at /usr/include/pthread.h:561
#14 QThreadPrivate::start (arg=0x14ac130) at thread/qthread_unix.cpp:290
#15 0x00007f483ec6b6fa in start_thread (arg=0x7f4826e4b700) at pthread_create.c:333
#16 0x00007f48478f7b5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f4834ad18c0 (LWP 17984)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f483c077eb9 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f483c079617 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f483c079721 in xcb_wait_for_reply () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#4  0x00007f4834733c19 in QXcbWindow::setKeyboardGrabEnabled (this=0x155d050, grab=<optimized out>) at qxcbwindow.cpp:2453
#5  0x00007f484319bec6 in grabForPopup (popup=0x155b080) at kernel/qapplication.cpp:3747
#6  0x00007f48431a2c28 in QApplicationPrivate::closePopup (this=<optimized out>, popup=popup@entry=0x1568c00) at kernel/qapplication.cpp:3813
#7  0x00007f48431def2f in QWidgetPrivate::hide_helper (this=this@entry=0x15aebb0) at kernel/qwidget.cpp:7936
#8  0x00007f48431e37c0 in QWidget::setVisible (this=0x1568c00, visible=<optimized out>) at kernel/qwidget.cpp:8143
#9  0x00007f48431df1e1 in QWidgetPrivate::close_helper (this=0x15aebb0, mode=QWidgetPrivate::CloseWithEvent) at kernel/qwidget.cpp:8272
#10 0x00007f484332128c in QMenuPrivate::hideMenu (this=this@entry=0x12a5cf0, menu=menu@entry=0x1568c00) at widgets/qmenu.cpp:507
#11 0x00007f48433216d1 in QMenu::internalDelayedPopup (this=0x155b080) at widgets/qmenu.cpp:3239
#12 0x00007f48426cde53 in QObject::event (this=this@entry=0x155b080, e=e@entry=0x7ffc54674e70) at kernel/qobject.cpp:1261
#13 0x00007f48431e3cdb in QWidget::event (this=this@entry=0x155b080, event=event@entry=0x7ffc54674e70) at kernel/qwidget.cpp:9105
#14 0x00007f4843326a83 in QMenu::event (this=0x155b080, e=0x7ffc54674e70) at widgets/qmenu.cpp:2654
#15 0x00007f48431a105c in QApplicationPrivate::notify_helper (this=this@entry=0xbe73e0, receiver=receiver@entry=0x155b080, e=e@entry=0x7ffc54674e70) at kernel/qapplication.cpp:3716
#16 0x00007f48431a6516 in QApplication::notify (this=0x7ffc54676d40, receiver=0x155b080, e=0x7ffc54674e70) at kernel/qapplication.cpp:3499
#17 0x00007f484269e62b in QCoreApplication::notifyInternal (this=0x7ffc54676d40, receiver=0x155b080, event=event@entry=0x7ffc54674e70) at kernel/qcoreapplication.cpp:965
#18 0x00007f48426f389d in QCoreApplication::sendEvent (event=0x7ffc54674e70, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:224
#19 QTimerInfoList::activateTimers (this=0xc1fba0) at kernel/qtimerinfo_unix.cpp:637
#20 0x00007f48426f3da1 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:177
#21 0x00007f483e0e0127 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f483e0e0380 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f483e0e042c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007f48426f4a9b in QEventDispatcherGlib::processEvents (this=0xc24170, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#25 0x00007f484269bdea in QEventLoop::exec (this=this@entry=0x7ffc546750b0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#26 0x00007f4843320e10 in QMenu::exec (this=<optimized out>, p=..., action=0x0) at widgets/qmenu.cpp:2307
#27 0x00007f4847c0ed26 in ?? () from /usr/lib/x86_64-linux-gnu/libkdeinit5_dolphin.so
#28 0x00007f4847c102a5 in ?? () from /usr/lib/x86_64-linux-gnu/libkdeinit5_dolphin.so
#29 0x00007f4847c05e84 in ?? () from /usr/lib/x86_64-linux-gnu/libkdeinit5_dolphin.so
#30 0x00007f48426cce4f in QtPrivate::QSlotObjectBase::call (a=0x7ffc54675490, r=0xcbb3c0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#31 QMetaObject::activate (sender=0x10e78a0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3698
#32 0x00007f48475b08d4 in DolphinView::requestContextMenu(QPoint const&, KFileItem const&, QUrl const&, QList<QAction*> const&) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#33 0x00007f484758c90e in DolphinView::slotItemContextMenuRequested(int, QPointF const&) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#34 0x00007f48426cce4f in QtPrivate::QSlotObjectBase::call (a=0x7ffc54675650, r=0x10e78a0, this=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qobject_impl.h:124
#35 QMetaObject::activate (sender=0x10e6730, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3698
#36 0x00007f48475aeca6 in KItemListController::itemContextMenuRequested(int, QPointF const&) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#37 0x00007f484754e63d in KItemListController::mousePressEvent(QGraphicsSceneMouseEvent*, QTransform const&) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#38 0x00007f484754dbf4 in KItemListController::processEvent(QEvent*, QTransform const&) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#39 0x00007f48475601b2 in KItemListView::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libdolphinprivate.so.5
#40 0x00007f48431a105c in QApplicationPrivate::notify_helper (this=this@entry=0xbe73e0, receiver=receiver@entry=0x11056c0, e=e@entry=0x7ffc54675ef0) at kernel/qapplication.cpp:3716
#41 0x00007f48431a6516 in QApplication::notify (this=0x7ffc54676d40, receiver=0x11056c0, e=0x7ffc54675ef0) at kernel/qapplication.cpp:3499
#42 0x00007f484269e62b in QCoreApplication::notifyInternal (this=0x7ffc54676d40, receiver=0x11056c0, event=event@entry=0x7ffc54675ef0) at kernel/qcoreapplication.cpp:965
#43 0x00007f484319d756 in QCoreApplication::sendSpontaneousEvent (event=event@entry=0x7ffc54675ef0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#44 qt_sendSpontaneousEvent (receiver=<optimized out>, event=event@entry=0x7ffc54675ef0) at kernel/qapplication.cpp:4163
#45 0x00007f48434c54b3 in QGraphicsScenePrivate::sendEvent (this=<optimized out>, item=0x11056d0, event=0x7ffc54675ef0) at graphicsview/qgraphicsscene.cpp:1236
#46 0x00007f48434c5f61 in QGraphicsScenePrivate::sendMouseEvent (this=0x108cc50, mouseEvent=0x7ffc54675ef0) at graphicsview/qgraphicsscene.cpp:1314
#47 0x00007f48434ce716 in QGraphicsScenePrivate::mousePressEventHandler (this=this@entry=0x108cc50, mouseEvent=mouseEvent@entry=0x7ffc54675ef0) at graphicsview/qgraphicsscene.cpp:1441
#48 0x00007f48434ceb59 in QGraphicsScene::mousePressEvent (this=<optimized out>, mouseEvent=0x7ffc54675ef0) at graphicsview/qgraphicsscene.cpp:4020
#49 0x00007f48434d80e0 in QGraphicsScene::event (this=0x109a170, event=0x7ffc54675ef0) at graphicsview/qgraphicsscene.cpp:3388
#50 0x00007f48431a105c in QApplicationPrivate::notify_helper (this=this@entry=0xbe73e0, receiver=receiver@entry=0x109a170, e=e@entry=0x7ffc54675ef0) at kernel/qapplication.cpp:3716
#51 0x00007f48431a6516 in QApplication::notify (this=0x7ffc54676d40, receiver=0x109a170, e=0x7ffc54675ef0) at kernel/qapplication.cpp:3499
#52 0x00007f484269e62b in QCoreApplication::notifyInternal (this=0x7ffc54676d40, receiver=0x109a170, event=event@entry=0x7ffc54675ef0) at kernel/qcoreapplication.cpp:965
#53 0x00007f484319d756 in QCoreApplication::sendSpontaneousEvent (event=event@entry=0x7ffc54675ef0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#54 qt_sendSpontaneousEvent (receiver=<optimized out>, event=event@entry=0x7ffc54675ef0) at kernel/qapplication.cpp:4163
#55 0x00007f48434f1abf in QGraphicsView::mousePressEvent (this=0x108cc10, event=0x7ffc54676480) at graphicsview/qgraphicsview.cpp:3270
#56 0x00007f48431e43cf in QWidget::event (this=this@entry=0x108cc10, event=event@entry=0x7ffc54676480) at kernel/qwidget.cpp:8674
#57 0x00007f48432e2b5e in QFrame::event (this=0x108cc10, e=0x7ffc54676480) at widgets/qframe.cpp:540
#58 0x00007f48434f2eb3 in QGraphicsView::viewportEvent (this=0x108cc10, event=0x7ffc54676480) at graphicsview/qgraphicsview.cpp:2962
#59 0x00007f484269e412 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0xbe73e0, receiver=receiver@entry=0x1098b30, event=event@entry=0x7ffc54676480) at kernel/qcoreapplication.cpp:1072
#60 0x00007f48431a103c in QApplicationPrivate::notify_helper (this=this@entry=0xbe73e0, receiver=receiver@entry=0x1098b30, e=e@entry=0x7ffc54676480) at kernel/qapplication.cpp:3712
#61 0x00007f48431a6c19 in QApplication::notify (this=<optimized out>, receiver=0x1098b30, e=0x7ffc54676480) at kernel/qapplication.cpp:3276
#62 0x00007f484269e62b in QCoreApplication::notifyInternal (this=0x7ffc54676d40, receiver=receiver@entry=0x1098b30, event=event@entry=0x7ffc54676480) at kernel/qcoreapplication.cpp:965
#63 0x00007f48431a5b32 in QCoreApplication::sendSpontaneousEvent (event=0x7ffc54676480, receiver=0x1098b30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#64 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x1098b30, event=event@entry=0x7ffc54676480, alienWidget=alienWidget@entry=0x1098b30, nativeWidget=0xcbb3c0, buttonDown=buttonDown@entry=0x7f48436d1b20 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:2770
#65 0x00007f48431fe57b in QWidgetWindow::handleMouseEvent (this=this@entry=0xeef4e0, event=event@entry=0x7ffc54676890) at kernel/qwidgetwindow.cpp:555
#66 0x00007f4843200b3b in QWidgetWindow::event (this=0xeef4e0, event=0x7ffc54676890) at kernel/qwidgetwindow.cpp:210
#67 0x00007f48431a105c in QApplicationPrivate::notify_helper (this=this@entry=0xbe73e0, receiver=receiver@entry=0xeef4e0, e=e@entry=0x7ffc54676890) at kernel/qapplication.cpp:3716
#68 0x00007f48431a6516 in QApplication::notify (this=0x7ffc54676d40, receiver=0xeef4e0, e=0x7ffc54676890) at kernel/qapplication.cpp:3499
#69 0x00007f484269e62b in QCoreApplication::notifyInternal (this=0x7ffc54676d40, receiver=receiver@entry=0xeef4e0, event=event@entry=0x7ffc54676890) at kernel/qcoreapplication.cpp:965
#70 0x00007f4842bf0521 in QCoreApplication::sendSpontaneousEvent (event=0x7ffc54676890, receiver=0xeef4e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:227
#71 QGuiApplicationPrivate::processMouseEvent (e=0x12a74f0) at kernel/qguiapplication.cpp:1804
#72 0x00007f4842bf21e5 in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x12a74f0) at kernel/qguiapplication.cpp:1596
#73 0x00007f4842bd5f38 in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:625
#74 0x00007f483474ff10 in userEventSourceDispatch (source=<optimized out>) at eventdispatchers/qeventdispatcher_glib.cpp:70
#75 0x00007f483e0e0127 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#76 0x00007f483e0e0380 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#77 0x00007f483e0e042c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#78 0x00007f48426f4a7f in QEventDispatcherGlib::processEvents (this=0xc24170, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#79 0x00007f484269bdea in QEventLoop::exec (this=this@entry=0x7ffc54676c10, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#80 0x00007f48426a3e8c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1229
#81 0x00007f4847c17e2b in kdemain () from /usr/lib/x86_64-linux-gnu/libkdeinit5_dolphin.so
#82 0x00007f4847811830 in __libc_start_main (main=0x400710 <main>, argc=1, argv=0x7ffc54676ec8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffc54676eb8) at ../csu/libc-start.c:291
#83 0x0000000000400749 in _start ()

Possible duplicates by query: bug 359556, bug 357733.

Reported using DrKonqi
Comment 1 Sven Claussner 2016-05-14 06:30:11 UTC
I'm having the same problem on Debian Testing and Fedora 23. 
It's a duplicate of bug 351485. It's fixed in KDE Frameworks 5.20 which was released in March 2016. Sadly I have found no information when this version will make it into Debian or Fedora.
Comment 2 Wolfgang Bauer 2016-09-01 12:15:15 UTC
Closing as duplicate.

Please contact your distribution to get newer packages or a backport of the fix.

*** This bug has been marked as a duplicate of bug 351485 ***